Bug 514311 - Review Request: ovirt-node-recipe - oVirt Node image recipe and tools
Review Request: ovirt-node-recipe - oVirt Node image recipe and tools
Status: CLOSED DUPLICATE of bug 514221
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-28 15:38 EDT by David Huff
Modified: 2016-04-26 15:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-19 12:29:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lutter: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description David Huff 2009-07-28 15:38:42 EDT
Spec URL: http://huff.fedorapeople.org/ovirt-node-recipe.spec
SRPM URL: http://huff.fedorapeople.org/ovirt-node-recipe-1.0.2-0.fc12.20090729023231gitb29ff3a.src.rpm
Description: 
The oVirt-node-recipe provides ks file, manifest files, client tools, and
documentation for building and running an oVirt Node image. This package 
is not to be installed on the oVirt-Node, however on a development machine 
to help in deployment on the node.
Comment 1 David Huff 2009-09-16 17:48:41 EDT
I have rebuilt the srpm with prober dist tag as well as insured the links are
correct....

http://huff.fedorapeople.org/ovirt-node-recipe.spec
http://huff.fedorapeople.org/ovirt-node-recipe-1.0.2-0.fc12.src.rpm
Comment 2 David Lutterkort 2009-09-17 22:04:08 EDT
  OK - Package name
  OK - License info is accurate
    No overall upstream license info is included. Since you are upstream,
    please consider adding one. The scripts do have GPLv2+ license notices
    though. On a related note, it would be much friendlier to change your
    release procedure so that the tarball contains everything in a toplevel
    ovirt-node-recipe-%{version} directory.
  OK - License tag is correct and licenses are approved
  OK - License files are installed as %doc
    N/A - upstream does not include explicit license (though it should)
  OK - Specfile name
  OK - Specfile is legible
  OK - No prebuilt binaries included
  OK - BuildRoot value (one of the recommended values)
       See https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

    Uses -buildroot instead of -root, but no biggie. The tag is generally
    spelled BuildRoot, not buildroot.

  OK - PreReq not used
  FIX - Source md5sum matches upstream

    This is a prerelease package. For that, either make a tarball available
    upstream, and include the full URL to it as Source0, or put a comment
    before Source0 explaining how the tarball was made. (see
    http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages)

  OK - No hardcoded pathnames
  OK - Package owns all the files it installs
  OK - 'Requires' create needed unowned directories
  OK - Package builds successfully on i386 and x86_64 (mock)
  OK - BuildRequires sufficient
  OK - File permissions set properly
  OK - Macro usage is consistent
  FIX - rpmlint is silent
    (Please run rpmlint yourslef in future reviews and paste its output
    into the review ticket)

    W: summary-not-capitalized oVirt Node image recipe
      that's ok, since oVirt likes to be spelled that way
    W: incoherent-version-in-changelog 0.93-0 ['1.0.2-0.fc12', '1.0.2-0']
      please update the changelog
  FIX - Proper debuginfo packages
    This is a noarch package - no need to turn off debuginfo

General question: the kickstart file references
ovirt-node-{logos,release,selinux,stateless}, though now there is only an
ovirt-node package. That seems to call for major breakage.
Comment 3 David Huff 2009-09-25 17:24:39 EDT
New spec...
http://huff.fedorapeople.org/ovirt-node-recipe.spec

scratch build...
https://koji.fedoraproject.org/koji/taskinfo?taskID=1708079

every thing looks good from output form rpmlint, one warning however its what we want......

ovirt-node-recipe.noarch: W: summary-not-capitalized oVirt Node image recipe
Comment 4 David Huff 2009-10-19 12:29:19 EDT
ovirt-node-recipe will now be subpackage of ovirt-node rpm closing this bug as duplicate of 514221

*** This bug has been marked as a duplicate of bug 514221 ***

Note You need to log in before you can comment on or make changes to this bug.